Subject: Offline Message from Tamer Thabit: Dears I called you three times and 2emails
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Wed, 24 Jun 2020 10:45:05 -0000

From: Tamer Thabit <[email-masked]>
Phone: 
Location: Riyadh, Saudi Arabia
URL: https://saudi.mumzworld.com/sa-en/contact-us/
Department: 

Dears
I called you three times and 2emails have sent to you about the order #600895609
I placed it 8/6/2020 and you cancelled it after 8days, then modified it 15/6/2020
and till the moment it is in processing
And every time I call you tell me it is ready to ship but nothing happen
What happening is not acceptable at all
Clarify status of this order
If you can not deliver it, refund me immediately with all the amount and shipping  fees

Regards

----
Zopim
https://www.zopim.com